Bug 37611 - Conflict with apache and mod_perl
Conflict with apache and mod_perl
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 08:03 EDT by Gary McMeekin
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 06:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary McMeekin 2001-04-25 08:03:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows 98)


Installing apache-1.3.19-5.i386.rpm and  mod_perl-1.24_01-2.i386.rpm. Both 
install OK, but the apache daemon cannot be started. Error log says:

Found: /usr/lib/perl5/5.6.0/i386-linux/Apache.pm
Found: /usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm
Apache.pm version 1.27 required!
/usr/lib/perl5/5.6.0/i386-linux/Apache.pm is version 1.26
Perhaps you forgot to 'make install' or need to uninstall an old version?

Uninstalling mod_perl means daemon can start.

Reproducible: Always
Steps to Reproduce:
1. Install apache 
2. Install mod_perl
3. Start httpd daemon
4. Should fail
	

Actual Results:  daemon did not start
Comment 1 Nalin Dahyabhai 2001-07-24 15:29:00 EDT
This appears to be fixed in Raw Hide (Apache 1.3.20-7, mod_perl 1.24_01-3), with
the server started so as to load mod_perl, and with "PerlRequire
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm" added to the configuration
file (restarted, verified mod_perl present in Server: header of response).

Note You need to log in before you can comment on or make changes to this bug.